Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class UserInterface

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.objects.Object
            |
            +--iaik.pkcs.pkcs11.objects.HardwareFeature
                  |
                  +--iaik.pkcs.pkcs11.objects.UserInterface

All Implemented Interfaces:
  java.lang.Cloneable

public class UserInterface
extends HardwareFeature

Objects of this class represent a user interface as specified by PKCS#11 v2.20.

Version:
  1.0
Author:
  Florian Reimair

Inner classes inherited from class iaik.pkcs.pkcs11.objects.HardwareFeature
`HardwareFeature.FeatureType, HardwareFeature.VendorDefinedHardwareFeatureBuilder`

Inner classes inherited from class iaik.pkcs.pkcs11.objects.Object
`Object.ObjectClass, Object.VendorDefinedObjectBuilder`

Fields inherited from class iaik.pkcs.pkcs11.objects.HardwareFeature
`hardwareFeatureType_, vendorHardwareFeatureBuilder_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Object
`attributeTable_, objectClass_, objectClassNames_, objectHandle_, vendorObjectBuilder_`

Constructor Summary
`` | `UserInterface()` Deafult Constructor.
`protected` | `UserInterface(Session session, long objectHandle)` Called by getInstance to create an instance of a PKCS#11 user interface.

Method Summary
`protected void` | `allocateAttributes()` Allocates the attribute objects for this class and adds them to the attribute table.
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object obj)` Compares all member variables of this object with the other object.
`LongAttribute` | `getBitsPerPixel()` Gets the bits per pixel.
`LongAttribute` | `getCharColumns()` Gets the char columns.
`LongAttribute` | `getCharRows()` Gets the char rows.
`ByteArrayAttribute` | `getCharSets()` Gets the char sets.
`BooleanAttribute` | `getColor()` Gets the color.
`ByteArrayAttribute` | `getEncodingMethods()` Gets the encoding methods.
`static Object` | `getInstance(Session session, long objectHandle)` The getInstance method of the HardwareFeature class uses this method to create an instance of a PKCS#11 user interface.
`ByteArrayAttribute` | `getMimeTypes()` Gets the mime types.
`LongAttribute` | `getPixelX()` Gets the pixel x.
`LongAttribute` | `getPixelY()` Gets the pixel y.
`LongAttribute` | `getResolution()` Gets the resolution.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`protected static void` | `putAttributesInTable(UserInterface object)` Put all attributes of the given object into the attributes table of this object.
`void` | `readAttributes(Session session)` Read the values of the attributes of this object from the token.
`java.lang.String` | `toString()` This method returns a string representation of the current object.

Methods inherited from class iaik.pkcs.pkcs11.objects.HardwareFeature
`getHardwareFeatureType, getHardwareFeatureTypeName, getUnknownHardwareFeature, getVendorDefinedHardwareFeatureBuilder, putAttributesInTable, setVendorDefinedHardwareFeatureBuilder`

Methods inherited from class iaik.pkcs.pkcs11.objects.Object
`getAttributeTable, getAttributeValue, getAttributeValues, getObjectClass, getObjectClassName, getObjectHandle, getSetAttributes, getSetAttributes, getUnknownObject, getVendorDefinedObjectBuilder, putAttributesInTable, setObjectHandle, setVendorDefinedObjectBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserInterface

    public UserInterface()

  Deafult Constructor.

### UserInterface

    protected UserInterface(Session session,
                            long objectHandle)
                     throws TokenException

  Called by getInstance to create an instance of a PKCS#11 user interface.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Throws:
    `TokenException` - If getting the attributes failed.

Method Detail

### getInstance

    public static Object getInstance(Session session,
                                     long objectHandle)
                              throws TokenException

  The getInstance method of the HardwareFeature class uses this method to create an instance of a PKCS#11 user interface.
  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Returns:
    The object representing the PKCS#11 object. The returned object can be casted to the according sub-class.
  Throws:
    `TokenException` - If getting the attributes failed.

### putAttributesInTable

    protected static void putAttributesInTable(UserInterface object)

  Put all attributes of the given object into the attributes table of this object. This method is only static to be able to access invoke the implementation of this method for each class separately (see use in clone()).
  Parameters:
    `object` - The object to handle.

### allocateAttributes

    protected void allocateAttributes()

  Allocates the attribute objects for this class and adds them to the attribute table.
  Overrides:
    `allocateAttributes` in class `HardwareFeature`

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `HardwareFeature`
  Returns:
    A clone of this object.

### equals

    public boolean equals(java.lang.Object obj)

  Description copied from class: `HardwareFeature`
  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `HardwareFeature`
  Following copied from class: `iaik.pkcs.pkcs11.objects.HardwareFeature`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### getPixelX

    public LongAttribute getPixelX()

  Gets the pixel x.
  Returns:
    the pixel x

### getPixelY

    public LongAttribute getPixelY()

  Gets the pixel y.
  Returns:
    the pixel y

### getResolution

    public LongAttribute getResolution()

  Gets the resolution.
  Returns:
    the resolution

### getCharRows

    public LongAttribute getCharRows()

  Gets the char rows.
  Returns:
    the char rows

### getCharColumns

    public LongAttribute getCharColumns()

  Gets the char columns.
  Returns:
    the char columns

### getColor

    public BooleanAttribute getColor()

  Gets the color.
  Returns:
    the color

### getBitsPerPixel

    public LongAttribute getBitsPerPixel()

  Gets the bits per pixel.
  Returns:
    the bits per pixel

### getCharSets

    public ByteArrayAttribute getCharSets()

  Gets the char sets.
  Returns:
    the char sets

### getEncodingMethods

    public ByteArrayAttribute getEncodingMethods()

  Gets the encoding methods.
  Returns:
    the encoding methods

### getMimeTypes

    public ByteArrayAttribute getMimeTypes()

  Gets the mime types.
  Returns:
    the mime types

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `HardwareFeature`
  Returns:
    The hash code of this object.

### readAttributes

    public void readAttributes(Session session)
                        throws TokenException

  Read the values of the attributes of this object from the token.
  Overrides:
    `readAttributes` in class `Object`
  Parameters:
    `session` - The session handle to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  Throws:
    `TokenException` - If getting the attributes failed.

### toString

    public java.lang.String toString()

  This method returns a string representation of the current object. The output is only for debugging purposes and should not be used for other purposes.
  Overrides:
    `toString` in class `HardwareFeature`
  Returns:
    A string presentation of this object for debugging output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18